libzypp 17.37.10

RpmFlags.h File Reference
`#include <iosfwd>`
`#include <zypp/base/Flags.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::target
namespace | zypp::target::rpm

## Enumerations
enum | zypp::target::rpm::RpmInstFlag { zypp::target::rpm::RPMINST_NONE = 0x0000 , zypp::target::rpm::RPMINST_EXCLUDEDOCS = 0x0001 , zypp::target::rpm::RPMINST_NOSCRIPTS = 0x0002 , zypp::target::rpm::RPMINST_FORCE = 0x0004 , zypp::target::rpm::RPMINST_NODEPS = 0x0008 , zypp::target::rpm::RPMINST_IGNORESIZE = 0x0010 , zypp::target::rpm::RPMINST_JUSTDB = 0x0020 , zypp::target::rpm::RPMINST_NODIGEST = 0x0040 , zypp::target::rpm::RPMINST_NOSIGNATURE = 0x0080 , zypp::target::rpm::RPMINST_NOUPGRADE = 0x0100 , zypp::target::rpm::RPMINST_TEST = 0x0200 , zypp::target::rpm::RPMINST_NOPOSTTRANS = 0x0400 , zypp::target::rpm::RPMINST_ALLOWDOWNGRADE = 0x0800 , zypp::target::rpm::RPMINST_REPLACEFILES = 0x1000 , zypp::target::rpm::RPMINST_ALLOWUNTRUSTED = 0x2000 }
| Bits representing rpm installation options. More...